#!/bin/sh

set +e 

###############################################################################
# Licensed Materials - Property of Tivoli Systems
# 5697-B82
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1999
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################
#
#  Install a NMC topology console instance of the Tivoli desktop
###############################################################################

###############################################################################
# Log what's going on as we install
#
# Notes:
# - re-create log file on EACH use
# - capture both STDOUT and STDERR in the log file
###############################################################################
LOGFILE=`wtemp -s`installNMCConsole.log

echo Logging NMC console installation to $LOGFILE
      
( 

echo Starting installation at `date`

###############################################################################
# Run the standard script to set up the Tivoli environment
###############################################################################
if [ -n "$windir" ] ; then
      WINOS=`echo $windir | awk /:/'{ print substr($1,4) }'`
   WINDRIVE=`echo $windir | awk /:/'{ print substr($1,1,2) }'`
fi

if [ -n "$WINOS" ]
then source $WINDRIVE/$WINOS/system32/drivers/etc/Tivoli/setup_env.sh
else . /etc/Tivoli/setup_env.sh
fi

###############################################################################
# Establish runtime constants
###############################################################################
root=$BINDIR/../generic_unix/TDS/client

###############################################################################
# Install this NMC version using the common console install script
###############################################################################
key=nmc

echo Installation product key: $key
          
$root/bin/installTConsole.sh $key

###############################################################################
echo Installation completed at `date`
###############################################################################

) > $LOGFILE 2>&1
