@echo off
@rem **************************************************************************
@rem * Licensed Materials - Property of Tivoli Systems
@rem * 5697-B82
@rem * (C) Copyright Tivoli Systems 1997, 2001
@rem * All rights reserved.
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem **************************************************************************
@rem * Start the topology console on Windows NT.
@rem *
@rem * Command Line Arguments:
@rem * =======================
@rem * %1 - required; "base" console installation path
@rem *                 examples:  C:\usr\local\Tivoli\bin\generic_unix\TDS\client
@rem *                            %bindir%\..\generic_unix\TDS\client
@rem *                            .. (if TDS\client\bin is "current directory")
@rem * %2 - optional; additional console command line argument
@rem * ...
@rem * %n - optional; additional console command line argument
@rem *
@rem * Optional Environment Variables
@rem * ==============================
@rem * TCONSOLE_BACKDOOR....Java code library(s) placed at front of CLASSPATH
@rem * TCONSOLE_CLASSPATH...Java code library(s) placed at end   of CLASSPATH
@rem * TCONSOLE_JAVAOPTS....command line arg(s) for Java program
@rem **************************************************************************
cls

@rem **************************************************************************
@rem *  The console installation "root" must be specified!
@rem **************************************************************************
if not "%1"=="" goto start

echo Usage: %0 "installation path" [ args ]

goto done

@rem **************************************************************************
@rem *  Start the console
@rem **************************************************************************
:start

setlocal

@rem **************************************************************************
@rem *  Determine interesting "locations"
@rem **************************************************************************
set IPATH=%1
set IJAVA=%1\..\..\..\w32-ix86\TDS\java

@rem **************************************************************************
@rem *  Parse the command line arguments
@rem **************************************************************************
set  ARGS=

:nextArg

@shift

@if "%1"=="" goto argsDone

set ARGS=%ARGS% %1

@goto nextArg

:argsDone

@echo IPATH="%IPATH%"
@echo IJAVA="%IJAVA%"
@echo  ARGS="%ARGS%"

@rem **************************************************************************
@rem *  Define Java command and options: mx = Maximum heap size
@rem *                                   ms = Initial heap size
@rem *                                   -D = Shows environment variable
@rem *                                        settings in Environment Info
@rem *                                        window
@rem **************************************************************************
                                 set JAVA_CMD=java -mx256M -ms16M
                                 set JAVA_CMD=%JAVA_CMD% -DTCONSOLE_BACKDOOR="%TCONSOLE_BACKDOOR%"
                                 set JAVA_CMD=%JAVA_CMD% -DTCONSOLE_CLASSPATH="%TCONSOLE_CLASSPATH%"
                                 set JAVA_CMD=%JAVA_CMD% -DTCONSOLE_JAVAOPTS="%TCONSOLE_JAVAOPTS%"
if not "%TCONSOLE_JAVAOPTS%"=="" set JAVA_CMD=%JAVA_CMD% %TCONSOLE_JAVAOPTS%
                                 set JAVA_CMD=%JAVA_CMD% -classpath

@rem **************************************************************************
@rem *  Define Java code library
@rem **************************************************************************
set JAVA_LIB=%IJAVA%\lib\rt.jar;%IJAVA%\lib\i18n.jar

@rem **************************************************************************
@rem *  Generate new PATH to include:
@rem *   - console's built-in Java
@rem *   - console's BIN directory (so "Remote Control" operates properly)
@rem **************************************************************************
set PATH=%IJAVA%\bin;%IPATH%\bin;%PATH%

@echo  PATH="%PATH%"

@rem **************************************************************************
@rem *  Are there console file updates to apply?
@rem **************************************************************************
:applyUpdates

if not exist %IPATH%\lib\FilesUpdated goto startConsole

@rem **************************************************************************
@rem *  Yes ==> apply the console file updates
@rem **************************************************************************
%JAVA_CMD% "%JAVA_LIB%;%IPATH%\lib\ihsupd.jar" com.tivoli.ihs.update.IhsUpdate

@rem **************************************************************************
@rem *  If console file updates still seem available, then the update
@rem *  process encountered some sort of error...
@rem **************************************************************************
if exist %IPATH%\lib\FilesUpdated goto done

@rem **************************************************************************
@rem *  Start the console
@rem **************************************************************************
:startConsole

echo on

%JAVA_CMD% "%TCONSOLE_BACKDOOR%;%IPATH%\lib\ihseuc.jar;%IPATH%\..\ibmflb\jars\tivflb14.jar;%JAVA_LIB%;%TCONSOLE_CLASSPATH%" com.tivoli.ihs.client.IhsClient %ARGS%

@rem **************************************************************************
@rem *  Restart the console for a client that is trying to log on while the
@rem *  server is resynchronizing
@rem **************************************************************************
@if errorlevel 254 goto startConsole

@echo off

@rem **************************************************************************
@rem *  Are there NEW console file updates to apply now?
@rem **************************************************************************
if exist %IPATH%\lib\FilesUpdated goto applyUpdates

@rem **************************************************************************
@rem *  Good Bye!
@rem **************************************************************************
:done

endlocal
