#!/bin/sh

###############################################################################
#
# This is the Japanese version that lives in cmvc nmc release under
# \com\tivoli\flb\nv390\UNIX\ja.  English version is under \com\tivoli\flb\nv390
# (The Japanese version has "SJIS" at the end of the java command invocation)
#
# This file now supports both EUC and SJIS locales on AIX and Solaris.  For
# this support to work, the build process needs to use iconv to create a EUC
# version of FLB_Nvinstal called FLB_Nvinstal_euc.  When a language environment
# of ja_JP on AIX or ja_JP.eucJP on Solaris is detected, the euc version of 
# the script file is used and the encoding parameter is not used. 
#
# Licensed Materials - Property of IBM
# 5697-GEM
# 5697-B82
# (C) COPYRIGHT IBM Corp. 1997, 2001
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corporation
###############################################################################

IPATH="/usr/local/Tivoli/bin/generic_unix/TDS/ibmflb"            # install path

AIXEUC="ja_JP"
SUNSJIS="ja_JP.PCK"

###############################################################################
# Create JAVA_LIB and JAVA_CMD environment variable accourding to INTERP 
# NOTE: JRE or JDK must be installed into $IPATH/../../../[INTERP]/TDS/java
###############################################################################
JAVA_LIB=""
JAVA_CMD=""
JAVA_OPTS=" "

TGPARMS="FLB_Nvinstal SJIS"                               # default SJIS invocation

if [ -d /usr/local/Tivoli/bin/aix4-r1 ] ; then
{
        IJAVA="/usr/local/Tivoli/bin/aix4-r1/TDS/jre"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
	  JAVA_OPTS="" 
        if [ $LANG = $AIXEUC ] ; then                      # AIX EUC locale?
        {
           TGPARMS="FLB_Nvinstal_euc"                      # Use euc version
        }
        fi        
}
elif [ -d $IPATH/../../../solaris2/TDS/java ] ; then
{
        TGPARMS="FLB_Nvinstal_euc"
        IJAVA="$IPATH/../../../solaris2/TDS/java"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
        if [ $LANG = $SUNSJIS ] ; then                     # Solaris euc?
        {
           TGPARMS="FLB_Nvinstal SJIS"                      # Use euc version
        }
        fi        
}
elif [ -d $IPATH/../../../hpux11/TDS/java ] ; then
{
        IJAVA="$IPATH/../../../hpux11/TDS/java"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
}
elif [ -d $IPATH/../../../linux-ix86/TDS/java ] ; then
{
        IJAVA="$IPATH/../../../linux-ix86/TDS/java"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
}

else
	echo 'Error: Interp or JRE not found.'
        return
fi

CP_RUN=".:./jars/tguide.jar:${JAVA_LIB}"


${JAVA_CMD} ${JAVA_OPTS} -classpath ${CP_RUN} SmartGuide ${TGPARMS}